import Flutter
import UIKit
import SwiftyBootpay
//import SwiftyBootpay

public class SwiftFlutterbootpayPlugin: NSObject, FlutterPlugin {
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "flutterbootpay", binaryMessenger: registrar.messenger())
    let instance = SwiftFlutterbootpayPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
    if(call.method == "bootpayRequest") {
        goBootpayController(call.arguments as! Dictionary<String, Any>, result: result)
    } else if(call.method == "getPlatformVersion") {
        result("i dont know")
    } else {
        result(FlutterMethodNotImplemented)
    }


    //result("iOS " + UIDevice.current.systemVersion)
  }

  func goBootpayController(_ params: Dictionary<String, Any>, result: @escaping FlutterResult) {
    //let payload: Dictionary<String, Any> = params["payload"] as! Dictionary<String, Any>



        print(12345)
        print(params)


    //let application_id = payParam["applicationId"] as! String

    //Bootpay.sharedInstance.appLaunch(application_id: bootpayApplicationId)

    let rootViewController = UIApplication.shared.keyWindow?.rootViewController
    let vc = BootpayViewController()
    vc.params = params;
    vc.flutterResult = result
    vc.modalPresentationStyle = .fullScreen
    rootViewController?.present(vc, animated: true, completion: nil)
  }



  func applicationWillResignActive(_ application: UIApplication) {
      Bootpay.sharedInstance.sessionActive(active: false)
  }

  func applicationDidBecomeActive(_ application: UIApplication) {
      Bootpay.sharedInstance.sessionActive(active: true)
  }
}
