import 'dart:async';

import 'package:flutter/services.dart';

class PayResultData {
  String receipt_id;
  double price;
  String card_no;
  String card_name;
  String card_quota;
  Map<String, dynamic> params;
  String item_name;
  String order_id;
  String url;
  String payment_name;
  String pg_name;
  String pg;
  String method;
  String method_name;
  String requested_at;
  String purchased_at;
  int status;


  PayResultData.fromJson(Map<String, dynamic> json) {
    receipt_id = json["receipt_id"];
    price = json["price"];
    card_no = json["card_no"];
    card_name = json["card_name"];
    card_quota = json["card_quota"];
    params = json["params"];

    item_name = json["item_name"];
    order_id = json["order_id"];
    url = json["url"];

    payment_name = json["payment_name"];
    pg_name = json["pg_name"];
    pg = json["pg"];
    method = json["method"];

    method_name = json["method_name"];
    requested_at = json["requested_at"];
    purchased_at = json["purchased_at"];
    status = json["status"];
  }
}
